<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.customer.service.customer.mapper.ShopMapper">

    <select id="listShopCustomer" resultType="com.fzm.mall.customer.service.customer.entity.dto.ShopCustomerDTO">
        select a.admin_id as customerId, a.user as customerName
        from `admin` a
        left join `shop` s on s.merchant_id = a.merchant_id
        where s.merchant_id = #{merchantId}
    </select>
</mapper>
